/home/travis/build/boostorg/boost/boost/geometry/geometries/register/segment.hpp File Reference

## Defines

#define | BOOST_GEOMETRY_REGISTER_SEGMENT(Segment, PointType, Index0, Index1)
#define | BOOST_GEOMETRY_REGISTER_SEGMENT_2D_4VALUES(Segment, PointType, Left, Bottom, Right, Top)
#define | BOOST_GEOMETRY_REGISTER_SEGMENT_TEMPLATIZED(Segment, Index0, Index1)

## Define Documentation

#define BOOST_GEOMETRY_REGISTER_SEGMENT | ( |  | Segment,
|  |  | PointType,
|  |  | Index0,
|  |  | Index1
| ) |  |

Value:

    namespace boost { namespace geometry { namespace traits {  \
        BOOST_GEOMETRY_DETAIL_SPECIALIZE_SEGMENT_TRAITS(Segment, PointType) \
        BOOST_GEOMETRY_DETAIL_SPECIALIZE_SEGMENT_ACCESS(Segment, PointType, Index0, Index1) \
    }}}

#define BOOST_GEOMETRY_REGISTER_SEGMENT_TEMPLATIZED | ( |  | Segment,
|  |  | Index0,
|  |  | Index1
| ) |  |

Value:

    namespace boost { namespace geometry { namespace traits {  \
        BOOST_GEOMETRY_DETAIL_SPECIALIZE_SEGMENT_TRAITS_TEMPLATIZED(Segment) \
        BOOST_GEOMETRY_DETAIL_SPECIALIZE_SEGMENT_ACCESS_TEMPLATIZED(Segment, Index0, Index1) \
    }}}

#define BOOST_GEOMETRY_REGISTER_SEGMENT_2D_4VALUES | ( |  | Segment,
|  |  | PointType,
|  |  | Left,
|  |  | Bottom,
|  |  | Right,
|  |  | Top
| ) |  |

Value:

    namespace boost { namespace geometry { namespace traits {  \
        BOOST_GEOMETRY_DETAIL_SPECIALIZE_SEGMENT_TRAITS(Segment, PointType) \
        BOOST_GEOMETRY_DETAIL_SPECIALIZE_SEGMENT_ACCESS_4VALUES(Segment, PointType, Left, Bottom, Right, Top) \
    }}}

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK